Subject: Re: [tcpm] RFC8684: TFO with MPTCP V1 example shows incorrect data map

From: Yoshifumi Nishida <[email-masked]>
Date: Tue, 1 Jun 2021 01:38:41 -0700

Hello,
I personally think this looks make sense and worth reporting as an errata.
Please point it out if I missed something.
--
Yoshi

On Thu, May 13, 2021 at 11:37 AM Krishna Khanal <[email-masked]>
wrote:

> The example for TCP Fastopen with MPTCPv1 in RFC8684, Appendix-B.3 shows
> the listener sending an incorrect data-ack in its first data packet to the
> initiator sent immediately after its SYN-ACK.
>
>  initiator                                                    listener
>        |                                                           |
>        |    S  0(20) <MP_CAPABLE>, <TFO cookie>                    |
>        | --------------------------------------------------------> |
>        |                                                           |
>        |    S. 0(0) ack 21 <MP_CAPABLE>                            |
>        | <-------------------------------------------------------- |
>        |                                                           |
>        |    .  1(100) ack 21 <DSS ack=1 seq=1 ssn=1 dlen=100>      |
>        | <-------------------------------------------------------- |
>
>
> At this point, the listener has not received the initiator's key, so it cannot generate the data-ack in it's response packets.
>
>
> The correct behaviour would be to set flag 'A' to 0 and exclude sending data-ack until the initiator's key is received.
>
>
> initiator                                                    listener
>        |                                                           |
>        |    S  0(20) <MP_CAPABLE>, <TFO cookie>                    |
>        | --------------------------------------------------------> |
>        |                                                           |
>        |    S. 0(0) ack 21 <MP_CAPABLE>                            |
>        | <-------------------------------------------------------- |
>        |                                                           |
>        |    .  1(100) ack 21 <DSS seq=1 ssn=1 dlen=100, M=1, A=0>  |
>        | <-------------------------------------------------------- |
>
>
> Thanks,
>
> Krishna
>
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>